![Kraut_und_Rueben](https://hackmd.io/_uploads/SyD2DaJop.png)

---

## Itinerary

1. About Us
2. Our Task
3. Our Process & Goals
4. Problems
5. New Features
6. Benefits of Usage
7. DSGVO
8. Ideas for the Future
9. Conclusion

---

### 👥 About Us

* 2 independent freelancing developers
* Prior experience with databases

---

### 📝 Our Task

* Improve upon the existing database
* Extend the available options
* Be DSGVO compliant
    * Requesting user data
    * Deleting personal information

<img src="https://hackmd.io/_uploads/Skhj6Rxja.jpg" alt="Typing" width="500"/>

---

### Our Process and Goals

* Prioritizing modernization
* Implement a flexible / dynamic solution
* Easy user & developer access

![image](https://hackmd.io/_uploads/Hkd4WAeop.png)

---

## ⚠️ Problems

* Invalid correspondence within given database
* Missing tables
* No backend for handling requests

---

## 🆕 Features

* Database for Recipes
* Delivery time- & cost estimation
* Product provides **API**

![image](https://hackmd.io/_uploads/rk9Q8Axia.png)

---

### 📈 Benefits of usage

* Vastly more performant than previous solutions
* Highly scalable
* 3rd-party integration

![image](https://hackmd.io/_uploads/H1DIwCeip.png)

---

## 🛡️ DSGVO

* Deletion of user data
* Export of user data in computer/human readable format

<img src="https://amagno.de/wp-content/uploads/2018/01/eu-dsgvo.png" alt="Typing" width="700"/>

---

### 💡 Ideas for the future

* Custom recipe creation via users
    * Login handling
* Ingredient alternatives
    * Vegan / Vegetarian options
    * Allergies & intolerances
* Application for management

---

## In Conclusion

* Improvements and fixes for the database model
* Additional tables (e.g. recipes)
* New & flexible database backend
* DSGVO compliancy

---

# Any Questions?
